Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 526266 - dev-haskell/cabal-install: bash-completion installed under incorrect name
Summary: dev-haskell/cabal-install: bash-completion installed under incorrect name
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Gentoo's Haskell Language team
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: bashcomp2
  Show dependency tree
 
Reported: 2014-10-21 15:36 UTC by Michał Górny
Modified: 2014-10-27 14:30 UTC (History)
0 users

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Michał Górny archtester Gentoo Infrastructure gentoo-dev Security 2014-10-21 15:36:58 UTC
* Problems with installed bash completions were found:
 * 
 * 	cabal-install: incorrect name, no completions for 'cabal-install' command defined.
 * 	cabal: missing alias (symlink) for completed command.
 * 
 * For more details on installing bash-completions, please see:
 * https://wiki.gentoo.org/wiki/Bash/Installing_completion_files

Long story short, it should be installed as 'cabal' rather than 'cabal-install'.
Comment 1 Sergei Trofimovich gentoo-dev 2014-10-21 19:27:18 UTC
I'm all for fixing it, but it's unclear what exactly and which version started to require it.
Comment 2 Michał Górny archtester Gentoo Infrastructure gentoo-dev Security 2014-10-21 20:59:16 UTC
You need to change:

    newbashcomp "${S}/bash-completion/cabal" ${PN}

to:

    dobashcomp "${S}/bash-completion/cabal"

Since that's how the executable is named. It became necessary since bash-completion-2.0 prerelease (I think that was named 1.90) upstream and will become necessary with 2.1-r90 in Gentoo.

The change is backwards compatible. However, users of old bash-completion versions will need to re-enable the completion due to name change. You may want to do it in a revbump and add the revbump to the bash-completion-2.1-r90 mask.
Comment 3 Michael Orlitzky gentoo-dev 2014-10-27 13:35:10 UTC
Is this fixed?

*cabal-install-1.18.0.3-r1 (21 Oct 2014)

  21 Oct 2014; Sergei Trofimovich <slyfox@gentoo.org>
  +cabal-install-1.18.0.3-r1.ebuild:
  Update binary completion name to match 'cabal' tool name (bug #526266 by
  Michał Górny).
Comment 4 Michał Górny archtester Gentoo Infrastructure gentoo-dev Security 2014-10-27 14:30:19 UTC
Yes, of course. Forgot to close the bug, sorry.